Bug 446591 - Installs OK but will not run with 4G ram
Installs OK but will not run with 4G ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 05:09 EDT by malcolm
Modified: 2009-07-14 13:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (28.37 KB, text/plain)
2008-05-16 03:53 EDT, malcolm
no flags Details
lspci (20.86 KB, text/plain)
2008-05-16 03:53 EDT, malcolm
no flags Details
xorg (801 bytes, text/plain)
2008-05-16 03:54 EDT, malcolm
no flags Details
Xorg.0.log (16.23 KB, text/plain)
2008-05-16 04:04 EDT, malcolm
no flags Details

  None (edit)
Description malcolm 2008-05-15 05:09:59 EDT
Description of problem:

GDM Doesn't start - black screen when 4G memory installed


Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1. Install 4 G memory
2. Install Fedora  ( which works OK )
3. Reboot ( X appears to start ie little arrow appears and then screen goes black )
  
Actual results:

GDM doesn't start - get a black screen

Expected results:

GDM appears

Additional info:

This is a 915 Intel motherboard with integrated graphics
Installed F9 with 1G memory - everything worked OK
Installed 4G machines gets black screen
Re -installed F9 from DVD with 4G in machine to see what would happen - It
installed perfectly ( graphically ) and after re-boot failed to get to GDM
Took out 2G and machine now works again.

Possibly not GDM but I couldn't think of any other catagory
Comment 1 Bill Nottingham 2008-05-15 13:42:26 EDT
Can you attach /var/log/Xorg.0.log?
Comment 2 Dave Airlie 2008-05-15 17:40:42 EDT
and dmesg and lspci -vv
Comment 3 malcolm 2008-05-16 01:59:47 EDT
How? 

I get as far as the arrow with the circulating blue blobs then the screen goes
black. The keyboard seems to be working but I can't switch to another console

M
Comment 4 malcolm 2008-05-16 03:53:33 EDT
Created attachment 305649 [details]
dmesg
Comment 5 malcolm 2008-05-16 03:53:50 EDT
Created attachment 305650 [details]
lspci
Comment 6 malcolm 2008-05-16 03:54:03 EDT
Created attachment 305651 [details]
xorg
Comment 7 malcolm 2008-05-16 03:55:43 EDT
OK forget that last message the machine works well enough to SSH into
so here are the files

M
Comment 8 malcolm 2008-05-16 04:04:27 EDT
Created attachment 305653 [details]
Xorg.0.log
Comment 9 Dave Airlie 2008-05-18 23:15:37 EDT
wierd.. does booting with mem=2048M stop it?

can you try and find a mem=XM lines where it breaks?

this chipset can't actually reference 4GB of RAM, I personally thought it had a
2GB limit :), but it seems to see more for you..

Comment 10 malcolm 2008-05-19 03:57:49 EDT
I checked on the Intel site and they say it supports 4G

Just to confirm I am doing this right :-
During boot press a key
Press 'a' to modify kernel arguments
Add mem=2048M to the end of the line
Press return

Made no difference - X still hangs the same way

Took out one chip so memory = 3G - BIOS didn't like it at all 
and complained that it should have matched amounts of ram
but Fedora runs OK ( KInfoCenter - spelling !! tut !!  )
reports 3,181,236,224 bytes

M

Comment 11 malcolm 2008-05-19 05:40:51 EDT
Don't know if this is interesting or not

With 3G in machines updated it - then put it
back to 4G. Fedora now won't start ( as before )
so I booted a Ubuntu live CD 8.04RC 2.6.24 ( it's 
the only one I have ) and it starts but System 
Monitor only reports 3G of ram - the bios
is happy that there is 4G in there

M
Comment 12 Bug Zapper 2009-06-09 20:50:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 13:40:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.